package br.com.furutani.leitorrss;

import java.util.List;
import java.util.TimerTask;

import org.apache.log4j.Logger;

import br.com.furutani.entities.FeedRSS;
import br.com.furutani.jpa.EMUtil;

/*
 * Atualiza os feeds de tempo em tempo
 */
public class LeitorTimer extends TimerTask {
	private Logger log = Logger.getLogger(LeitorTimer.class);

	@Override
	public void run() {
		
		LeitorRSSService g = new LeitorRSSService();
		
		String [] urls = new String[]{"http://www.estadao.com.br/rss/nacional.xml",
				"http://www.estadao.com.br/rss/tecnologia.xml",
				"http://www.estadao.com.br/rss/cidades.xml",
				"http://g1.globo.com/Rss2/0,,AS0-5605,00.xml",
				"http://g1.globo.com/Rss2/0,,AS0-6174,00.xml",
				"http://rss.carros.uol.com.br/ultnot/index.xml",
				"http://www.guj.com.br/rss/recentTopics.java"};
		// Cadastrando URLs
		g.cadastrar(urls);
		

		log.info("[LeitorRSS]: Iniciando busca de feeds");
		List<FeedRSS> feeds = g.buscarFeeds();
		
		log.info("[LeitorRSS]: Atualizando feeds");
		
		g.atualizar(feeds);
		log.info("[LeitorRSS]: Encerrando");
		EMUtil.fechar();
	}

}
