package br.com.furutani.dao;

import java.util.Calendar;
import java.util.List;

import br.com.furutani.entities.FeedRSS;
import br.com.furutani.entities.ItemRSS;

/*
 * http://java.sun.com/blueprints/corej2eepatterns/Patterns/DataAccessObject.html
 */
public interface RSSDAO {

	public abstract List<FeedRSS> buscarFeedsCadastrados();
	public abstract List<ItemRSS> buscarFeedsPeriodo(Calendar dataInicial, Calendar dataFinal);

	public abstract void atualizar(FeedRSS feed);

	public abstract void cadastrar(List<FeedRSS> feeds);

}